/* Style for everything */
* {
    box-sizing: border-box;
    margin: 0px;
    background-color: #555;
}

body {
    min-width: 880px;
}

/* Styles for the header menu bar */
#top {
    position: sticky;
    top: 0;
    z-index: 1;
}

/* Style for the header */
header {
    float: left;
    height: 100%;
    padding: 30px;
    min-height: 160px;
}

/* Style the navigation menu */
nav {
    height: 100%;
    width: 100%;
    padding-top: 35px;
    padding-bottom: 63px;
    font-family: Comic Sans MS, cursive;
}

/* Style the list inside the menu */
nav ul {
    list-style-type: none;
}

nav ul li {
    display: inline-block;
    padding-top: 25px;
    padding-left: 50px;
    font-size: 30px;
    color: white;
}

nav ul li a:link {
    text-decoration: none;
    color: white;
}

nav ul li a:visited {
    text-decoration: none;
    color: white;
}

nav ul li a:hover {
    text-decoration: none;
    color: whitesmoke;
}

nav ul li a:active {
    text-decoration: none;
    color: white;
}

/* Style the section */
section {
    position: relative;
    margin: 5px;
    min-height: 200px;
}

section div {
    position: absolute;
    top: 50%;
    left: 50%;
    -ms-transform: translate(-50%, -50%);
    transform: translate(-50%, -50%);
}

/* Style the about section */
#about {
    background-color: antiquewhite;
    background-image: url("../images/Tiles.jpg");
}

#about div {
    padding: 10px;
    text-align: center;
    color: aliceblue;
}

/* Style the contact section */
#contact div {
    padding: 10px;
    text-align: center;
    color: aliceblue;
}

/* Style inputs */
input[type="text"],
select,
textarea {
    width: 100%;
    padding: 6px;
    border: 1px solid aliceblue;
    margin-top: 6px;
    margin-bottom: 6px;
    resize: vertical;
    color: azure;
}

input[type="submit"] {
    background-color: slategray;
    color: white;
    padding: 12px 20px;
    border: none;
    cursor: pointer;
}

input[type="submit"]:hover {
    background-color: darkslategray;
}

/* Style the recent section */
#recent {
    padding-left: 35px;
    padding-right: 35px;
    padding-top: 10px;
    padding-bottom: 10px;
    font-family: Arial, Helvetica, sans-serif;
    color: aliceblue;
}

#recent h1 {
    text-align: center;
    font-size: 20pt;
    margin-bottom: 20px;
}

#recent h2 {
    font-size: 16pt;
    margin-top: 20px;
    margin-bottom: 6px;
}

#recent h2.darkHeading {
    color: darkgoldenrod;
}

#recent h2.lightHeading {
    color: antiquewhite;
}

#recent p {
    margin-bottom: 6px;
}

/* Style the index page graphics */
#images_container {
    width: 100%;
    height: 100%;
}

.mySlides {
    display: none
}

img {
    object-fit: cover;
}

/* Next & previous buttons */
.prev,
.next {
    cursor: pointer;
    position: absolute;
    top: 50%;
    width: auto;
    padding: 16px;
    margin-top: -22px;
    color: white;
    background-color: rgba(0, 0, 0, 0.05);
    font-weight: bold;
    font-size: 18px;
    transition: 0.6s ease;
    border-radius: 0 3px 3px 0;
    user-select: none;
}

/* Position the "next button" to the right */
.next {
    right: 0;
    border-radius: 3px 0 0 3px;
}

.prev:hover,
.next:hover {
    color: antiquewhite;
}

/* Fading animation */
.fade {
    -webkit-animation-name: fade;
    -webkit-animation-duration: 1.5s;
    animation-name: fade;
    animation-duration: 1.5s;
}
@-webkit-keyframes fade {
    from {
        opacity: .4
    }
    to {
        opacity: 1
    }
}
@keyframes fade {
    from {
        opacity: .4
    }
    to {
        opacity: 1
    }
}

/* Style the footer */
footer {
    padding: 10px;
    text-align: center;
    font-family: Arial, Helvetica, sans-serif;
    color: white;
    position: fixed;
    left: 0;
    bottom: 0;
    width: 100%;
}
